Package org.pushingpixels.substance.flamingo.common.ui

# Class SubstanceScrollablePanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.ScrollablePanelUI
org.pushingpixels.flamingo.internal.ui.common.BasicScrollablePanelUI
org.pushingpixels.substance.flamingo.common.ui.SubstanceScrollablePanelUI

public class SubstanceScrollablePanelUI extends org.pushingpixels.flamingo.internal.ui.common.BasicScrollablePanelUI
UI for `JScrollablePanel` components in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicScrollablePanelUI

`org.pushingpixels.flamingo.internal.ui.common.BasicScrollablePanelUI.ScrollablePanelLayout`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicScrollablePanelUI

`scrollablePanel`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceScrollablePanelUI()`

## Method Summary

Modifier and Type
Method
Description
`org.pushingpixels.flamingo.api.common.JCommandButton`
`createLeadingScroller()`
`org.pushingpixels.flamingo.api.common.JCommandButton`
`createTrailingScroller()`
`static ComponentUI`
`createUI(JComponent comp)`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicScrollablePanelUI

`configureLeftScrollerButtonAction, configureRightScrollerButtonAction, installComponents, installDefaults, installListeners, installUI, isShowingScrollButtons, removeScrollers, scrollToIfNecessary, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceScrollablePanelUI

public SubstanceScrollablePanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`

### createLeadingScroller

public org.pushingpixels.flamingo.api.common.JCommandButton createLeadingScroller()

Overrides:
  `createLeadingScroller` in class `org.pushingpixels.flamingo.internal.ui.common.BasicScrollablePanelUI`

### createTrailingScroller

public org.pushingpixels.flamingo.api.common.JCommandButton createTrailingScroller()

Overrides:
  `createTrailingScroller` in class `org.pushingpixels.flamingo.internal.ui.common.BasicScrollablePanelUI`